Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

[Excel] Povezivanje Excela sa AutoCAD ?

[es] :: Office :: Excel :: [Excel] Povezivanje Excela sa AutoCAD ?

[ Pregleda: 4637 | Odgovora: 2 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

superr
Pančevo

Član broj: 129200
Poruke: 26
*.astra-net.com.



+3 Profil

icon [Excel] Povezivanje Excela sa AutoCAD ?16.03.2008. u 00:10 - pre 164 meseci
Da li se excel može nekako upariti sa AutoCADom?
npr:da promenljive vrednosti iz ćelija excela uzrokuju reakciju u AutoCADu.
eto malo i egzibicija
 
Odgovor na temu

Jpeca
Predrag Jovanović
poslovni analitičar
Gowi
Pančevo

Moderator
Član broj: 25683
Poruke: 2195
212.200.27.*

Sajt: www.gowi.rs


+96 Profil

icon Re: [Excel] Povezivanje Excela sa AutoCAD ?17.03.2008. u 09:19 - pre 164 meseci
AutoCAD podržava VBA, tako da preko VBA postoji mogućnost povezivanja sa Excelom. Nisam se time bavio, ali na sajtu autodeska možeš naći neka uputstava http://usa.autodesk.com/adsk/s...m?siteID=123112&id=2671851
Neka gotova rešenja vidi: http://www.cadtool.net/tutorial.htm (čini mi se da je AutoBlock tool ono što tebe interesuje)
Nije to loše Rembrante, samo što ne bi dodao još malo boje?
 
Odgovor na temu

Djuka Maricic
Djuka Maricic
Mirijevo

Član broj: 71362
Poruke: 18
*.blueisp.co.yu.



+2 Profil

icon Re: [Excel] Povezivanje Excela sa AutoCAD ?29.03.2008. u 13:28 - pre 164 meseci
Potrebno je samo da u VBA u ekselu, odes na tools, pa references i da dodas autoked library i tako iz VBA u ekselu mozes pristupati autokedovim objektima i jedino jos sto je potrebno je da u samom u kodu definises autoked aplikaciju, evo kako:

Dim Autoked As AcadApplication
Dim acadCrtez As AcadDocument
Set Autoked = GetObject(, "AutoCAD.Application") 'ovako je u slucaju da je ked vec pokrenut
Set acadCrtez = Autoked.ActiveDocument 'ovo je crtez (drawing) u kome se radi

'u slucaju da ked nije pokrenut onda je ovako
'ovako se pokrece ked automatski
Dim Autoked As AcadApplication
Dim acadCrtez As AcadDocument
On Error Resume Next
Set Autoked = GetObject(, "AutoCAD.Application")
If Err.Number = 429 Then
Application.StatusBar = "Pokrecem Autoked, sacekaj..." 'obavestavanje u status baru o trenutnom radu koda
Set Autoked = New AcadApplication
Autoked.Documents.Add
Autoked.Visible = True 'definisanje da se ked vidi
Else
End If
Set acadCrtez = Autoked.ActiveDocument
Application.StatusBar = "" 'praznis status bar

Posle ovoga mozes da crtas objekte u kedu u zavisnosti od vrednosti u odredjenim celijama u ekselu. Pokreni u VBA object browser (F2) i oznaci samo kedovu biblioteku i vidi kako se dodaju objekti u kedu.
 
Odgovor na temu

[es] :: Office :: Excel :: [Excel] Povezivanje Excela sa AutoCAD ?

[ Pregleda: 4637 | Odgovora: 2 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.